import * as yup from 'yup';

export const validationSchema = yup.object().shape({
  name: yup
    .string()
    .matches(/^[a-zA-Zа-яА-ЯіїєІЇЄ ]+$/, 'Введите только буквы')
    .min(3, 'Имя должно быть больше 3 символов')
    .required('Это поле обязательно для заполнения'),
  lastName: yup
    .string()
    .matches(/^[a-zA-Zа-яА-ЯіїєІЇЄ ]+$/, 'Введите только буквы')
    .min(3, 'Фамилия должна быть больше 3 символов')
    .required('Это поле обязательно для заполнения'),
  age: yup
    .number()
    .typeError('Поле должно быть числом')
    .min(13, 'Число должно быть больше 12')
    .required('Это поле обязательно для заполнения'),
  address: yup
    .string()
    .min(3, 'Адрес должен быть больше 3 символов')
    .required('Это поле обязательно для заполнения'),
  phone: yup
    .string()
    .matches(
      /^\(\d{3}\)\d{3}-\d{2}-\d{2}$/,
      'Номер телефона должен соответствовать формату (###)###-##-##'
    )
    .required('Поле обязательно для заполнения'),
});
